﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewMfsPoll.ascx.cs" Inherits="Mindfire.Modules.MfsPollModule.ViewMfsPoll" %>
<%--<%@ Register Assembly="MSCaptcha" Namespace="MSCaptcha" TagPrefix="cc1" %>--%>
<%@ Register Src="MathCaptcha.ascx" TagName="MathCaptcha" TagPrefix="mc" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>

<link href="DesktopModules/MfsPollModule/css/Style.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.link
{
    border:0;
    font-size:70%;
    font-weight:bold;
}
.header
{
    border:0;
    font-size:80%;
    font-weight:bold;    
}
.td
{
    height:35px;
    border:0;
    font-size:80%;
    font-weight:bold;
    text-align:left;
}
</style>

<script type="text/javascript">
function trim(str, chars) 
{
	return ltrim(rtrim(str, chars), chars);
}
 
function ltrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}
 
function rtrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}

function ValidateTextBox()
{
    var fckBody = document.getElementById('<%= tbMsg.ClientID %>').value;
    while (fckBody.indexOf("<p>") != -1)
        fckBody = fckBody.replace("<p>", "");
    while (fckBody.indexOf("</p>") != -1)
        fckBody = fckBody.replace("</p>", "");
    while (fckBody.indexOf("\n") != -1)
        fckBody = fckBody.replace("\n", "");
    while (fckBody.indexOf("&nbsp;") != -1)
        fckBody = fckBody.replace("&nbsp;", "");
    return trim(fckBody, '') != "";
}

function chkValidate()
{
    var tbAns = document.getElementById('<%= tdAns.ClientID %>');
    var cndCheck = false;
    var chkrad = tbAns.getElementsByTagName('input');
    for (i = 0; i < chkrad.length; i++)
    {
        if (chkrad[i].checked)
        {
            cndCheck = true;
            break;
        }
    }
    if (!cndCheck)
    {
        alert("Please choose one option");
        return false;
    }
    if (document.getElementById('<%= hdMsg.ClientID %>').value == "1")
    {
        if (!ValidateTextBox())
        {
            alert("Please enter your comment");
            document.getElementById('<%= tbMsg.ClientID %>').value = "";
            document.getElementById('<%= tbMsg.ClientID %>').focus();            
            return false;
        }
    }
    if (document.getElementById('<%= hdUnauth.ClientID %>').value == "1")
    {
        var emailExp = /^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-z0-9]{2,4}$/;
        if (trim(document.getElementById('<%= tbName.ClientID %>').value, '') == "")
        {
            alert("Please enter your name");
            document.getElementById('<%= tbName.ClientID %>').value = "";
            document.getElementById('<%= tbName.ClientID %>').focus();
            return false;
        }
        if (trim(document.getElementById('<%= tbEmail.ClientID %>').value, '') == "")
        {
            alert("Please enter your email");
            document.getElementById('<%= tbEmail.ClientID %>').value = "";
            document.getElementById('<%= tbEmail.ClientID %>').focus();
            return false;
        }
        if (!trim(document.getElementById('<%= tbEmail.ClientID %>').value, '').match(emailExp))
        {
            alert("Please enter a valid email");
            document.getElementById('<%= tbEmail.ClientID %>').value = "";
            document.getElementById('<%= tbEmail.ClientID %>').focus();
            return false;
        }
        if (trim(document.getElementById('<%= tbLocation.ClientID %>').value, '') == "")
        {
            alert("Please enter your location");
            document.getElementById('<%= tbLocation.ClientID %>').value = "";
            document.getElementById('<%= tbLocation.ClientID %>').focus();
            return false;
        }        
    }
    return true;
}
</script>

<asp:UpdatePanel ID="up1" runat="server" UpdateMode="Always">
<ContentTemplate>
<table id="tblSurvey" runat="server" cellpadding="0" cellspacing="0" border="0" width="200px">
<tr>
<td>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td>
    <asp:HiddenField ID="hdUnauth" runat="server"></asp:HiddenField>
    <asp:HiddenField ID="hdMsg" runat="server"></asp:HiddenField>
</td>
</tr>
<tr>
<td>
<asp:Panel ID="panelQues" runat="server">
    <table cellpadding="0" cellspacing="0" border="0" align="left" width="100%">
        <tr>
            <td align="left" class="td" style="text-align:left" align="left">
                <asp:Label ID="lblPollTitle" runat="server" CssClass="Normal" Font-Bold="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="left" class="td" style="text-align:left" align="left">
                <asp:Label ID="lblQuetion" runat="server" CssClass="Normal" Font-Bold="true"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>
</td>
</tr>
<tr>
<td>
    <asp:Panel ID="panelVote" runat="server">
    <table cellpadding="0" cellspacing="0" border="0" align="left">
        <tr>
            <td id="tdAns" runat="server" class="td"></td>
        </tr>
        <tr id="trPlz" runat="server">
            <td align="center" class="td" style="text-align:center">
                <asp:Label ID="lblPlz" runat="server" Text="please answer this question" CssClass="Normal"></asp:Label>
            </td>
        </tr>
        <tr id="trCaptcha" runat="server" visible="false">
            <td align="center" class="td" style="text-align:center">
                <dnn:CaptchaControl ID="ctlCaptcha" CaptchaHeight="40" CaptchaWidth="150" 
                    ErrorStyle-CssClass="NormalRed" cssclass="Normal" runat="server" 
                    ErrorMessage="The typed code must match the image, please try again" />
            </td>            
        </tr>
        <tr id="trMathCaptcha" runat="server" visible="false">
            <td align="center" class="td" style="text-align:center">
                <mc:MathCaptcha ID="MathCaptcha1" runat="server" />
            </td>            
        </tr>
<%--    <tr>
            <td align="center" class="td" style="text-align:center">
                <cc1:CaptchaControl ID="CaptchaControl1" runat="server" CaptchaBackgroundNoise="none" CaptchaLength="5" CaptchaHeight="60" CaptchaWidth="200" CaptchaLineNoise="None" CaptchaMinTimeout="10" CaptchaMaxTimeout="1000" CaptchaChars="ABCDEFGHJKLMNPQRSTUVWXYZ23456789" />
            </td>            
        </tr>--%>
<%--    <tr>
            <td id="trBtnVote" runat="server" align="center" class="td" style="text-align:center">
                <asp:LinkButton ID="lbValidateCaptcha" runat="server" Text="VOTE" OnClick="lbValidateCaptcha_Click"></asp:LinkButton>
            </td>            
        </tr>--%>        
    </table>
    </asp:Panel>
</td>
</tr>
<tr>
<td>
    <div width="100%">
        <asp:Panel ID="panelComment" runat="server">
        <table cellpadding="0" cellspacing="0" border="0" align="center">
            <tr id="trCommentLabel" runat="server">
                <td align="left" class="td">
                    <asp:Label ID="lblComment" runat="server" Text="COMMENT" Font-Underline="true"></asp:Label>
                </td>        
            </tr>
            <tr id="trComment" runat="server">
                <td align="center" class="td">
                    <asp:Panel ID="panelCommentDetail" runat="server">
                        <table cellpadding="0" cellspacing="0" border="0" align="center">
                            <tr><td colspan="2" align="left">More to say ? (max. 500 characters)</td></tr>
                            <tr><td colspan="2" align="left"><asp:TextBox ID="tbMsg" runat="server" TextMode="MultiLine" Rows="4" Width="175px"></asp:TextBox></td></tr>
                            <tr id="trName" runat="server"><td class="td" align="left">NAME:</td><td><asp:TextBox ID="tbName" runat="server" Width="100"></asp:TextBox></td></tr>
                            <tr id="trEmail" runat="server"><td class="td" align="left">EMAIL:</td><td><asp:TextBox ID="tbEmail" runat="server" Width="100"></asp:TextBox></td></tr>
                            <tr id="trLocation" runat="server"><td class="td" align="left">LOCATION:</td><td><asp:TextBox ID="tbLocation" runat="server" Width="100"></asp:TextBox></td></tr>
                        </table>                    
                    </asp:Panel>
                </td>
            </tr>
        </table>
        </asp:Panel>
    </div>
</td>
</tr>
<tr id="trCommentPost" runat="server">
    <td align="center" class="td" style="text-align:center">
        <asp:LinkButton ID="lbValidateCaptcha" runat="server" Text="VOTE" OnClick="lbValidateCaptcha_Click" OnClientClick="return chkValidate();"></asp:LinkButton>
    </td>
</tr>
<tr>
<td>
    <div width="100%">
        <asp:Panel ID="panelResult" runat="server" Visible="false">
        <table cellpadding="0" cellspacing="0" border="0" align="left">
            <tr>
                <td align="left" class="td">
                    <asp:Label ID="lbPollResult" runat="server" Text="POLL RESULT" CssClass="Normal" Font-Bold="true" Font-Underline="true"></asp:Label>
                </td>
            </tr>
            <tr id="tr1" runat="server">
                <td align="left" class="td">
                    <asp:Label ID="lblVoteRatio" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        </asp:Panel>
    </div>
</td>
</tr>
<tr id="trlblCommentHeader" runat="server" visible="false">
<td class="td">
    <div width="100%">
        <asp:Label ID="lblCommentHeader" runat="server" CssClass="Normal" Text="COMMENT" Font-Bold="true" Font-Underline="true"></asp:Label>
    </div>        
</td>
</tr>
<tr id="trlblComment" runat="server" visible="false">
<td class="td">
    <asp:Label ID="lblCommentData" runat="server" CssClass="Normal"></asp:Label>
</td>
</tr>
</table>
</td>
</tr>
</table>
</ContentTemplate>
</asp:UpdatePanel>